# TSSundialsSetExactFinalTime

Determines if Sundials interpolates solution to the exact final time requested by the user or just returns it at the final time it computed. (Defaults to true).

### Synopsis

    #include "petscts.h"
    PetscErrorCode PETSCTS_DLLEXPORT TSSundialsSetExactFinalTime(TS ts,PetscTruth ft)

### Input Parameter

| ts | - the time-step context
| ft | - PETSC_TRUE if interpolates, else PETSC_FALSE

### See Also

TSSundialsGetIterations(), TSSundialsSetType(), TSSundialsSetGMRESRestart(),
TSSundialsSetLinearTolerance(), TSSundialsSetGramSchmidtType(), TSSundialsSetTolerance(), TSSundialsGetIterations(), TSSundialsSetType(), TSSundialsSetGMRESRestart(), TSSundialsSetLinearTolerance(), TSSundialsSetTolerance(), TSSundialsGetPC()

Level:beginner
Location: src/ts/impls/implicit/sundials/sundials.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages